#include <stdio.h>
#include <stdlib.h>

void funkcija(int N, int M, int K)
{
    int i=1;
    M-=K-1;
    while(M>0 && i<N-K-1)
    {
        M-=i;
        i++;
    }
    if(M>1)
        printf("Tak\n");
    else
        printf("Nie\n");
}
int main()
{
    int T,N,M,K,i;
    scanf("%d",&T);
    for(i=0;i<T;i++)
    {
        scanf("%d %d %d",&N,&M,&K);
        if(K==1 && M<3)
            printf("Nie\n");
        else
        funkcija(N,M,K);
    }
    return 0;
}